summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/brutalchess/brutalchess-0.5.2-gcc4.7.patch22
-rw-r--r--games/brutalchess/brutalchess.SlackBuild4
2 files changed, 25 insertions, 1 deletions
diff --git a/games/brutalchess/brutalchess-0.5.2-gcc4.7.patch b/games/brutalchess/brutalchess-0.5.2-gcc4.7.patch
new file mode 100644
index 0000000000..8eb5283cfa
--- /dev/null
+++ b/games/brutalchess/brutalchess-0.5.2-gcc4.7.patch
@@ -0,0 +1,22 @@
+diff -Naur brutalchess-0.5.2.orig/src/faileplayer.cpp brutalchess-0.5.2/src/faileplayer.cpp
+--- brutalchess-0.5.2.orig/src/faileplayer.cpp 2006-12-20 21:19:50.000000000 +0100
++++ brutalchess-0.5.2/src/faileplayer.cpp 2012-04-02 21:46:40.702000025 +0200
+@@ -14,6 +14,7 @@
+ #include <cassert>
+ #include <sstream>
+ #include <string>
++#include <unistd.h>
+
+ using namespace std;
+
+diff -Naur brutalchess-0.5.2.orig/src/xboardplayer.cpp brutalchess-0.5.2/src/xboardplayer.cpp
+--- brutalchess-0.5.2.orig/src/xboardplayer.cpp 2006-12-19 05:00:01.000000000 +0100
++++ brutalchess-0.5.2/src/xboardplayer.cpp 2012-04-02 21:50:09.775000025 +0200
+@@ -14,6 +14,7 @@
+ #include <cassert>
+ #include <sstream>
+ #include <string>
++#include <unistd.h>
+
+ using namespace std;
+
diff --git a/games/brutalchess/brutalchess.SlackBuild b/games/brutalchess/brutalchess.SlackBuild
index eba885073e..9b94433995 100644
--- a/games/brutalchess/brutalchess.SlackBuild
+++ b/games/brutalchess/brutalchess.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=brutalchess
VERSION=0.5.2
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
@@ -69,6 +69,8 @@ chmod -R u+w,go+r-w,a-s .
patch -p0 -i $CWD/brutalchess-0.5.2-fix-FTBFS.patch || exit 1
patch -p0 -i $CWD/brutalchess-0.5.2-gcc4.3.patch || exit 1
+# fix for gcc-4.7.x build
+patch -p1 -i $CWD/brutalchess-0.5.2-gcc4.7.patch || exit 1
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \